onEvent('recipes', event => {
	event.remove({output: 'vs_eureka:balloon'})
	event.shaped('4x vs_eureka:balloon', [
		' W ',
		'WDW',
		' W '
	  ], {
		W: '#minecraft:wool',
		D: 'phantasm:stardust'
	  })
	event.shaped('4x vs_eureka:balloon', [
		' W ',
		'WDW',
		' W '
	  ], {
		W: '#minecraft:wool',
		D: 'botania:pixie_dust'
	  })
	// поплавок
	event.remove({output: 'vs_eureka:floater'})
	event.shaped('1x vs_eureka:floater', [
		'WGW',
		'GWG',
		'WGW'
	  ], {
		W: 'undergarden:stripped_wigglewood_wood',
		G: 'undergarden:stripped_grongle_wood'
	  })
	// балласт
	event.remove({output: 'vs_eureka:ballast'})
	event.shaped('1x vs_eureka:ballast', [
		'CSC',
		'SCS',
		'CSC'
	  ], {
		C: 'undergarden:cloggrum_block',
		S: 'pneumaticcraft:compressed_stone_slab'
	  })
	// двигатель
	event.remove({output: 'vs_eureka:engine'})
	event.shaped('1x vs_eureka:engine', [
		'HGH',
		'SFS',
		'SSS'
	  ], {
		H: 'pneumaticcraft:heat_sink',
		G: 'pneumaticcraft:pressure_gauge',
		S: 'minecraft:netherite_block',
        F: 'minecraft:furnace'
	  })
	// якорь
	event.remove({output: 'vs_eureka:anchor'})
	event.shaped('1x vs_eureka:anchor', [
		' I ',
		'CIC',
		'III'
	  ], {
		C: 'undergarden:cloggrum_ingot',
		I: 'minecraft:iron_block'
	  })
	// штурвалы
	event.remove({output: 'vs_eureka:oak_ship_helm'})
	event.remove({output: 'vs_eureka:birch_ship_helm'})
	event.remove({output: 'vs_eureka:spruce_ship_helm'})
	event.remove({output: 'vs_eureka:jungle_ship_helm'})
	event.remove({output: 'vs_eureka:acacia_ship_helm'})
	event.remove({output: 'vs_eureka:dark_oak_ship_helm'})
	event.remove({output: 'vs_eureka:crimson_ship_helm'})
	event.remove({output: 'vs_eureka:warped_ship_helm'})
	event.shaped('1x vs_eureka:oak_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:oak_fence',
		S: 'minecraft:oak_slab'
	  })
	event.shaped('1x vs_eureka:birch_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:birch_fence',
		S: 'minecraft:birch_slab'
	  })
	event.shaped('1x vs_eureka:spruce_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:spruce_fence',
		S: 'minecraft:spruce_slab'
	  })
	event.shaped('1x vs_eureka:jungle_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:jungle_fence',
		S: 'minecraft:jungle_slab'
	  })
	event.shaped('1x vs_eureka:acacia_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:acacia_fence',
		S: 'minecraft:acacia_slab'
	  })
	event.shaped('1x vs_eureka:dark_oak_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:dark_oak_fence',
		S: 'minecraft:dark_oak_slab'
	  })
	event.shaped('1x vs_eureka:crimson_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:crimson_fence',
		S: 'minecraft:crimson_slab'
	  })
	event.shaped('1x vs_eureka:warped_ship_helm', [
		'TFT',
		'FIF',
		'TST'
	  ], {
		I: 'undergarden:regalium_block',
		T: 'undergarden:twistytwig',
		F: 'minecraft:warped_fence',
		S: 'minecraft:warped_slab'
	  })
})